[Unit]
Description=Matrix Flask Application
After=network.target

[Service]
Type=simple
WorkingDirectory=/opt/matrix
ExecStart=/usr/bin/gunicorn -b 0.0.0.0 -w 1 -k gthread main:app
Restart=always
RestartSec=5s
User=root
Group=root

[Install]
WantedBy=multi-user.target
